<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawTableShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawTableShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawSlide.html" title="class in org.apache.poi.sl.draw"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextBox.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTableShape.html" target="_top">Frames</a></li>
        <li><a href="DrawTableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Class DrawTableShape" class="title">Class DrawTableShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                       title="class in org.apache.poi.sl.draw">org.apache.poi.sl.draw.DrawShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.sl.draw.DrawTableShape</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                           title="interface in org.apache.poi.sl.draw">Drawable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawTableShape</span>
extends <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
           title="class in org.apache.poi.sl.draw">DrawShape</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                         title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#borderSize">borderSize</a></span></code>
                                    <div class="block">Additional spacing between cells</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.sl.draw.DrawShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html#shape">shape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.html#CURRENT_SLIDE">CURRENT_SLIDE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY">DRAW_FACTORY</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_FALLBACK">FONT_FALLBACK</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_HANDLER">FONT_HANDLER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_MAP">FONT_MAP</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRADIENT_SHAPE">GRADIENT_SHAPE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRESTORE">GRESTORE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GROUP_TRANSFORM">GROUP_TRANSFORM</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GSAVE">GSAVE</a>, <a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#IMAGE_RENDERER">IMAGE_RENDERER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#PRESET_GEOMETRY_CACHE">PRESET_GEOMETRY_CACHE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS">TEXT_AS_CHARACTERS</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_SHAPES">TEXT_AS_SHAPES</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_RENDERING_MODE">TEXT_RENDERING_MODE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#DrawTableShape-org.apache.poi.sl.usermodel.TableShape-">DrawTableShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Apply 2-D transforms before drawing this shape.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#draw-java.awt.Graphics2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Draw this shape into the supplied canvas</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#drawContent-java.awt.Graphics2D-">drawContent</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">draw any content within this shape (image, text, etc.).</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#getGroupShape-java.awt.Graphics2D-">getGroupShape</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#getShape--">getShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#setAllBorders-java.lang.Object...-">setAllBorders</a></span>(java.lang.Object...&nbsp;args)</code>
                                    <div class="block">Format the table and apply the specified Line to all cell
                                        boundaries,
                                        both outside and inside.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#setInsideBorders-java.lang.Object...-">setInsideBorders</a></span>(java.lang.Object...&nbsp;args)</code>
                                    <div class="block">Format the inside border using the specified Line object
                                        An empty args parameter removes the affected border.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html#setOutsideBorders-java.lang.Object...-">setOutsideBorders</a></span>(java.lang.Object...&nbsp;args)</code>
                                    <div class="block">Format the outside border using the specified Line object
                                        An empty args parameter removes the affected border.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.DrawShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getAnchor-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PlaceableShape-">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getAnchor-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getStroke-org.apache.poi.sl.usermodel.StrokeStyle-">getStroke</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="borderSize">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>borderSize</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public static final&nbsp;int borderSize</pre>
                                <div class="block">Additional spacing between cells</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.sl.draw.DrawTableShape.borderSize">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawTableShape-org.apache.poi.sl.usermodel.TableShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawTableShape</h4>
                                <pre>public&nbsp;DrawTableShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getGroupShape-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGroupShape</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                       title="interface in org.apache.poi.sl.draw">Drawable</a>&nbsp;getGroupShape(java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="applyTransform-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyTransform</h4>
                                <pre>public&nbsp;void&nbsp;applyTransform(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html#applyTransform-java.awt.Graphics2D-">DrawShape</a></code></span>
                                </div>
                                <div class="block">Apply 2-D transforms before drawing this shape. This includes
                                    rotation and flipping.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/DrawShape.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                                            title="class in org.apache.poi.sl.draw">DrawShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics whos transform matrix will be modified</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>public&nbsp;void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#draw-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">Draw this shape into the supplied canvas</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#draw-java.awt.Graphics2D-">draw</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/DrawShape.html#draw-java.awt.Graphics2D-">draw</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                                            title="class in org.apache.poi.sl.draw">DrawShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawContent-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawContent</h4>
                                <pre>public&nbsp;void&nbsp;drawContent(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">draw any content within this shape (image, text, etc.).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">drawContent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/DrawShape.html#drawContent-java.awt.Graphics2D-">drawContent</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                                            title="class in org.apache.poi.sl.draw">DrawShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShape</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                       title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;&nbsp;getShape()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getShape--">getShape</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                                            title="class in org.apache.poi.sl.draw">DrawShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAllBorders-java.lang.Object...-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAllBorders</h4>
                                <pre>public&nbsp;void&nbsp;setAllBorders(java.lang.Object...&nbsp;args)</pre>
                                <div class="block">Format the table and apply the specified Line to all cell boundaries,
                                    both outside and inside.
                                    An empty args parameter removes the affected border.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>args</code> - a varargs array possible containing <code>Double</code>
                                        (width),
                                        <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                                           title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineCompound</code></a>,
                                        <code>Color</code>, <a
                                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                                title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineDash</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOutsideBorders-java.lang.Object...-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutsideBorders</h4>
                                <pre>public&nbsp;void&nbsp;setOutsideBorders(java.lang.Object...&nbsp;args)</pre>
                                <div class="block">Format the outside border using the specified Line object
                                    An empty args parameter removes the affected border.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>args</code> - a varargs array possible containing <code>Double</code>
                                        (width),
                                        <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                                           title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineCompound</code></a>,
                                        <code>Color</code>, <a
                                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                                title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineDash</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setInsideBorders-java.lang.Object...-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setInsideBorders</h4>
                                <pre>public&nbsp;void&nbsp;setInsideBorders(java.lang.Object...&nbsp;args)</pre>
                                <div class="block">Format the inside border using the specified Line object
                                    An empty args parameter removes the affected border.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>args</code> - a varargs array possible containing <code>Double</code>
                                        (width),
                                        <a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                                           title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineCompound</code></a>,
                                        <code>Color</code>, <a
                                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                                title="enum in org.apache.poi.sl.usermodel"><code>StrokeStyle.LineDash</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawSlide.html" title="class in org.apache.poi.sl.draw"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextBox.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTableShape.html" target="_top">Frames</a></li>
        <li><a href="DrawTableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
